Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

llvm-strip.exe fehlt



  • Hallo,

    beim erstellen einer Qt Widget Anwendung für Android (Qt 5.12.2) erhalte ich immer folgende Fehler:

    Generating Android Package
      Input file: E:/Development/build-untitled-Android_f_r_x86_Clang_Qt_5_12_2_for_Android_x86-Debug/android-libuntitled.so-deployment-settings.json
      Output directory: E:/Development/build-untitled-Android_f_r_x86_Clang_Qt_5_12_2_for_Android_x86-Debug/android-build/
      Application binary: E:/Development/build-untitled-Android_f_r_x86_Clang_Qt_5_12_2_for_Android_x86-Debug/libuntitled.so
      Android build platform: android-28
      Install to device: No
      -- Skipping C:/Frameworks/Qt/5.12.2/android_x86/plugins/iconengines/libqsvgicon.so. It has unmet dependencies: lib/libQt5Svg.so.
      -- Skipping C:/Frameworks/Qt/5.12.2/android_x86/plugins/imageformats/libqsvg.so. It has unmet dependencies: lib/libQt5Svg.so.
    Command does not exist: C:\Users\sinclair\AppData\Local\Android\Sdk\ndk-bundle/toolchains/llvm/prebuilt/windows-x86_64/bin/llvm-strip.exe
    09:24:11: Der Prozess "C:\Frameworks\Qt\5.12.2\android_x86\bin\androiddeployqt.exe" wurde mit dem Rückgabewert 9 beendet.
    Fehler beim Erstellen/Deployment des Projekts untitled (Kit: Android für x86 (Clang Qt 5.12.2 for Android x86))
    Bei der Ausführung von Schritt "Android-APK erstellen"
    

    [koahnig, code tags korrigiert]


  • Moderators

    hi @Gerhard

    Informationen über verwendete JDK, NDK und SDK wären sinnvoll. Falsche Versionen von diesen ist meistens die Ursache für Android Fehler ;)



  • Hallo,

    habe alles auf die neuesten Versionen upgedatet.
    Hiernach beendete dann aidl.exe mit dem Fehler 14.
    Nach Kontrolle habe ich festgestellt das build-sdk 29.rc2 mit installiert wurde. Nachdem dies entfernt wurde läuft es nun.


Log in to reply